# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

%define apache_version 2.0.54

Summary:	The apache Manual
Name:		apache-doc
Version:	%{apache_version}
Release:	%mkrel 2
Group:		System/Servers
License:	Apache License
URL:		http://www.apache.org
Source0:	manual.conf.bz2
Requires(pre):	apache-conf >= 2.0.54
Requires:	apache-conf >= 2.0.54
BuildRequires:	apache-source = %{apache_version} file
Provides:	apache2-manual
Obsoletes:	apache2-manual
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package contains the apache server documentation in HTML
format.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/apache-%{apache_version}/docs/manual .

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

bzcat %{SOURCE0} > manual.conf
perl -pi -e "s|_DOCDIR_|%{_docdir}/%{name}-%{version}|g" manual.conf

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -m0644 manual.conf %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/00_manual.conf

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2
fi
    
%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc manual/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/00_manual.conf

%changelog
* Fri Jul 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-2mdk
- added a work around for a rpm bug

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-1mdk
- initial Mandriva package
